@import url('https://fonts.googleapis.com/css2?family=Bebas+Neue&family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');


body{
    font-family: "Montserrat", sans-serif;
}

.swiper-pagination {
    position: absolute;
    text-align: center;
    transition: .3s opacity;
    transform: translate3d(0, 0, 0);
    z-index: 10;
    /* margin-bottom: 140px; */
}
header .nav-link.active{
    color:#fff
}
.bebas-font {
  font-family: "Bebas Neue", sans-serif!important;
}
 
.header-menu li a.active{
    color: #F6AF07;
}

.swiper-wrapper {
    position: relative;
    width: 100%;
    height: 100%;
    z-index: 1;
    display: flex;
    transition-property: transform;
    transition-timing-function: var(--swiper-wrapper-transition-timing-function, initial);
    box-sizing: content-box;

}
.we-stand-section .accordion-item{
    border:1px solid #A0A0A0
}
.we-stand-section .accordion-item.active{
    border:1px solid #F6AF07;
    box-shadow: 0px 11px 10px 0px #00000026;
}


/* pagination style */
.bannerSwiper .swiper-pagination {
  bottom: 20px!important; 
}
.bannerSwiper .swiper-pagination-bullet {
  background: #fff; 
  opacity: 0.2;
  height: 7px;
  width: 15px;
  border-radius: 6px;
}
.bannerSwiper .swiper-pagination-bullet-active {
  opacity: 1;
  background: #facc15;  
}
  
.instaSwiper  .swiper-slide{
    height: auto!important;
}
.instaSwiper  .swiper-slide a , .instaSwiper  .swiper-slide a>div {
    display: inline-block;
    height: 100%;
}
/*  
.instabg{  
    position: absolute;
    top: calc(100% - 50px - 40px);
    left: 0;
    right: 0;
    background: linear-gradient(to bottom, transparent, rgba(0, 0, 0, 0.5) calc((50px + 40px) / 2));
    height: calc(100% + 50px + 40px); 
    pointer-events: none;
    transition: all 0.3s ease-in-out;
    top: calc(-50px - 15px);
    backdrop-filter: blur(4px);
    }  */
    
/* 
.bannerSwiper{
    height: fit-content;
} */
.instabg {
    position: absolute;
    /* top: calc(100% - 50px - 40px); */
    left: 0;
    right: 0;
    background: linear-gradient(to bottom, transparent, rgba(0, 0, 0, 0.5) calc((50px + 40px) / 2));
    /* height: calc(100% + 50px + 40px); */
    height: 120px;
    pointer-events: none;
    transition: all 0.3s ease-in-out;
    top: calc(100% - 140px - 30px); 
    backdrop-filter: blur(4px);
    bottom: 80px;
}
.instaSwiper  .swiper-slide a{

    transition: all 0.5s ease;
}
.instaSwiper  .swiper-slide a:hover img{
    transform: scale(1.1);
    transition: all 0.5s ease;
}
.instaSwiper  .swiper-slide a:hover .instabg{
    top: calc(-50px - 15px);
    bottom: auto;
    height: calc(100% + 50px + 40px); 
}

/* grab cursor */
.bannerSwiper {
  cursor: grab;
}
.bannerSwiper:active {
  cursor: grabbing;
}

/* text animation */
.fadeUp {
  opacity: 0;
  transform: translateY(40px);
  transition: all 0.8s ease;
}
.fadeUp.active {
  opacity: 1;
  transform: translateY(0);
}

/* background zoom */
.swiper-slide-bg {
  transition: transform 6s ease;
}
.swiper-slide-active .swiper-slide-bg {
  transform: scale(1.1);
}

.bannerSwiper .swiper-pagination .swiper-pagination-bullet.swiper-pagination-bullet-active{
    opacity: 1;
}

.swiper-slide-bg {
    background-color: #bbbbbb;
    background-image: url(https://tulfoundation.org/wp-content/uploads/2025/12/3.Challan-for-change-scaled.jpg);
    background-size: cover;
}

.swiper-slide-bg {
    background-position: 50%;
    background-repeat: no-repeat;
    background-size: cover;
    min-height: 100%;
    min-width: 100%;
}

 .swiper-slide {
    transition-duration: calc(5000ms * 1.2)!important; 
}


.swiper-slide-inner {
    text-align: center;
}

.swiper-slide-inner {
    justify-content: center;
}
.swiper-slide-inner {
    align-items: flex-end;
}
.swiper-slide-inner, .swiper-slide-inner:hover {
    color: #fff;
    display: flex;
}
.swiper-slide-inner {
    background-position: 50%;
    background-repeat: no-repeat;
    bottom: 0;
    left: 0;
    margin: auto;
    padding: 50px;
    position: absolute;
    right: 0;
    top: 0;
}




.swiper-button-prev {
  left: 10px;
}

.swiper-button-next {
  right: 10px;
}


.swiper-button-prev:after, .swiper-rtl .swiper-button-next:after {
    content: 'prev';
    display: none !important;

}

.swiper-button-next:after, .swiper-rtl .swiper-button-next:after {
    content: 'prev';
    display: none !important;

}